Xfce Forum

Sub domains
 

You are not logged in.

#1 2009-07-27 21:52:26

coffeebean
Member
Registered: 2009-07-26
Posts: 1

Minimum XFCE Installation

All -

I'm trying to run XFCE with only the bare minimum files, executables, and directories to have the windowing environment running.  I've tried to narrow it down to the files and directories listed below.

However, when I log into the machine, I only get a black screen.

Can somebody please tell me which files/directories I am missing?

Thanks in advance!

Files:
/usr/bin/startxfce4
/usr/bin/xfce-mcs-manager
/usr/bin/xfce-setting-show
/usr/bin/xfce4-about
/usr/bin/xfce4-autostart-editor
/usr/bin/xfce4-menueditor
/usr/bin/xfce4-panel
/usr/bin/xfce4-popup-menu
/usr/bin/xfce4-popup-windowlist
/usr/bin/xfce4-session
/usr/bin/xfce4-session-logout
/usr/bin/xfce4-tips
/usr/bin/dbus-cleanup-sockets
/usr/bin/dbus-daemon
/usr/bin/dbus-launch
/usr/bin/dbus-monitor
/usr/bin/dbus-send
/usr/bin/dbus-uuidgen
/usr/bin/xauth
/usr/share/X11/rgb.txt
/etc/ld.so.conf
/usr/bin/xset
/etc/termcap
/usr/bin/xterm

Directories:
/etc/xdg
/usr/include/xfce4
/usr/lib/xfce4
/usr/lib/thunar/xfce4
/usr/share/xfce-mcs-plugins
/usr/share/xfce4
/usr/share/xfce4-menueditor
/etc/xdg/xfce4-session
/usr/include/xfce4/xfce4-session-4.2
/usr/share/applications
/etc/dbus-1/usr/include/dbus-1.0
/usr/lib/dbus-1.0
/usr/lib/libdbus-1.a
/usr/lib/libdbus-1.so
/usr/lib/python-support/python-dbus
/usr/share/dbus-1
/usr/share/python-support/python-dbus
/var/lib/dbus
/usr/share/gnome
/usr/share/gnome-2.0
/usr/share/gnome-about
/usr/share/gnome-applets
/usr/share/gnome-background-properties
/usr/share/gnome-control-center
/usr/share/gnome-dictionary
/usr/share/gnome-doc-utils
/usr/share/gnome-media
/usr/share/gnome-menus,
/usr/share/gnome-mount
/usr/share/gnome-panel
/usr/share/gnome-screenshot
/usr/share/gnome-settings-daemon
/usr/share/gnome-system-log
/usr/share/gnome-system-tools
/usr/share/gnome-terminal
/usr/share/X11/fonts
/usr/share/terminfo

Offline

#2 2009-10-11 06:15:31

s0ulslack
Moderator
From: Idaho
Registered: 2005-12-25
Posts: 291

Re: Minimum XFCE Installation

Off the top my head I see xfwm4 missing, also it seems thats all 4.4 stuff?

Offline

#3 2009-12-18 19:34:46

oOarthurOo
Member
Registered: 2009-12-10
Posts: 9

Re: Minimum XFCE Installation

If you're using a Debian based distro aptitude is a very useful tool to help you troubleshoot minimal application installs. Run aptitude as root from a terminal, search installed appplications and find xfce. If you hit enter on it, it will show you which applications are required, recommended, and suggested, as well as their current status (installed or not).

Hit enter on the required dependencies, those which you haven't installed, and read about them to see what they do. You can try installing them 1 at a time to see whether it enables the functionality you require.

Also, be sure to edit aptitudes options (hit ctrl + t) and disable install recommends automatically.

All assuming you are using an apt based system of course.

Offline

#4 2010-02-14 01:52:17

Von_Zipper
Member
Registered: 2006-01-10
Posts: 3

Re: Minimum XFCE Installation

Why you have all that Gnome stuff?
Anyhow, to have minimum install you have to build it from source. Is this what you are doing? Pre-compiled binaries come with pre-configured dependencies.

Offline

Board footer

Powered by FluxBB